Remote Administration Using Terminal Services


Overview

Basics

Security

The Server

The Client

Learn More


#Overview

This tour will:

  • Explain the new Windows 2000-based Terminal Services remote administration feature.
  • Discuss relevant security issues.
  • Discuss the impact of Terminal Services on your computer system.
  • List the platforms you can use for remote administration.
  • Suggest resources for learning more about Terminal Services.

This tour will take approximately seven minutes to complete. Afterwards, you will better understand this BackOffice Server 2000 feature.


Terminal Services Basics

BackOffice Server 2000 includes the new Windows 2000-based Terminal Services Remote Administration mode. Terminal Services is installed through Windows 2000 Server Setup.

Remote Administration mode lets you administer any BackOffice Server computer in the organization from a variety of Windows-based client workstations over TCP/IP. When you start a Terminal Services session and log on to the remote server, you receive the secure, emulated remote desktop on your local computer, making it appear that you are working at the remote server.


Remote Administration Tasks

You can use Terminal Services in remote administration mode to do anything you can do on the server computer locally, such as:

  • Restarting the server
  • Using management consoles
  • Using Health Monitor to view server status
  • Defragmenting the hard disk


Administrative Boundaries

With Terminal Services, you can remotely administer any BackOffice Server in your organization. You can use Terminal Services to access all domains and forests in which you have trust relationships and administrative rights, including mixed-mode domains.


Performance Impact

The performance impact of using Terminal Services in remote administration mode will vary depending on the number and type of tasks you do remotely. Running Terminal Services on the server uses negligible CPU resources. Performing remote tasks on the server can eat up CPU as though you were working on the server locally.


The Server

BackOffice Server 2000's implementation of Windows 2000 Terminal Services provides a powerful tool to remotely administer your BackOffice Server computers. For more information about tasks you can accomplish with remote administration, and about its role in the organization, click a link below:

  • Remote Administration Tasks
  • Administrative Boundaries
  • Performance Impact


Client Installation

BackOffice Server 2000 includes the Windows 2000 Server Terminal Services Client Creator, a utility that lets you create installation disks for client software. After you install the Terminal Services client software on a client computer, you can use the client computer to connect to a server running Terminal Services.


Client Operating Systems
  • You can use client computers running any of the following operating systems to administer your server through Terminal Services: Windows 2000 Professional, Windows ME, Windows NT Workstation 4.0, Windows 98 and Windows 95.


Web Client

The BackOffice Server Terminal Services Web client lets you remotely administer a BackOffice Server from a client workstation without installing the Terminal Services client software. All you need is an Active X-capable Web browser. BackOffice Server Setup configures a virtual root on Internet Information Services and drops an ASP page there. When you browse to it, an Active X control that allows you to use Terminal Services is installed on your workstation.


The Client

With Terminal Services running, you can administer a BackOffice Server computer using a Windows-based client workstation or Web browser. The workstation does not require much processing power or physical memory, because all management tools run on the server. This increases your total return on investment by prolonging the use of aging hardware. For additional information, click a link below:

  • Client Installation
  • List of Clients
  • Web Client


Management Consoles

You can lock down the view for power users and junior-level administrators. You can configure Terminal Services such that if someone logs on to administer a remote server, all he or she sees is the management console. Any attempt to close the console and thereby gain access to the entire server terminates the connection.


Encryption Level

By default, all Terminal Services sessions connect using medium encryption. This means that all data sent between the client and the server is protected by encryption based on the server’s standard 56-bit key strength.

If there is a possibility that remote administration will be initiated from outside a secure LAN, high encryption is available (North America only). This provides bidirectional security using a 128-bit cipher.


Changing Encryption Level

Changing the encryption level is performed within the Terminal Services Configuration utility, located in Administrative tools. In the Connections folder, select Microsoft RDP 5.0 and click Properties. Select the General tab. The encryption level can be changed from low to medium to high.


Security

The BackOffice Server implementation of Windows 2000 Terminal Services provides a secure, controlled environment for remote administration. For more information, click a link below:

Management Consoles

Encryption Level

Changing Encryption Level


Learn More

You have now finished the Terminal Services Remote Administration Tour. See below for additional information, resources, articles, and links.

There is currently no additional information available.

Terminal Services Overview